Get Organization

Description

Get specified organization.

Request

GET /v1/organizations/:organizationId

Response

Successful response contains the following JSON formated body:

{
  organizationId: string,
  organizationName: string,
  isEnterprise: boolean,
  ownerId: string,
  created: string,
  tags: {
    [key: string]: string
  },
  users: string[],
  dataResidency: string,
  edgeDevices: number,
  webrtcDevices: number
}

Response Status codes:

  • 200 on success

Request headers

This request must have the following headers:

  • Authorization: bearer <ApiKey>

Example

Request

curl "https://api.cloud.nabto.com/v1/organizations/:organizationId" \
  -H "Authorization: Bearer <ApiKey>"

Response

{
   "organizationId": "or-lmnopqrs",
  "organizationName": "friendly name",
  "isEnterprise": true,
  "ownerId": "us-abcdefgh",
  "created": "2022-10-18T10:17:24.299Z",
  "tags": {
    "foo": "bar" 
  },
  "users":[ "us-abcdefgh",
  ...],
  "dataResidency": "<dataResidency>",
  "edgeDevices": 42,
  "webrtcDevices": 42
}